Subject: Regions Bank: important notification [Mon, 28 Mar 2005 07:16:58 +0100]

From: Regions Bank <[email-masked]>
Date: Mon, 28 Mar 2005 02:12:58 -0400

let's shake hands Supercuts pays Carmen Electra The Beatles Denisse Richards